# Interface CommandsPackageImpl.Literals

Enclosing class:
  `CommandsPackageImpl`

public static interface CommandsPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`BINDING_CONTEXT`
The meta object literal for the '`Binding Context`' class.
`static final org.eclipse.emf.ecore.EReference`
`BINDING_CONTEXT__CHILDREN`
The meta object literal for the 'Children' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BINDING_CONTEXT__DESCRIPTION`
The meta object literal for the 'Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BINDING_CONTEXT__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`BINDING_TABLE`
The meta object literal for the '`Binding Table`' class.
`static final org.eclipse.emf.ecore.EReference`
`BINDING_TABLE__BINDING_CONTEXT`
The meta object literal for the 'Binding Context' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`BINDING_TABLE__BINDINGS`
The meta object literal for the 'Bindings' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`BINDING_TABLE_CONTAINER`
The meta object literal for the '`Binding Table Container`' class.
`static final org.eclipse.emf.ecore.EReference`
`BINDING_TABLE_CONTAINER__BINDING_TABLES`
The meta object literal for the 'Binding Tables' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`BINDING_TABLE_CONTAINER__ROOT_CONTEXT`
The meta object literal for the 'Root Context' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`BINDINGS`
The meta object literal for the '`Bindings`' class.
`static final org.eclipse.emf.ecore.EReference`
`BINDINGS__BINDING_CONTEXTS`
The meta object literal for the 'Binding Contexts' reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`CATEGORY`
The meta object literal for the '`Category`' class.
`static final org.eclipse.emf.ecore.EOperation`
`CATEGORY___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EAttribute`
`CATEGORY__DESCRIPTION`
The meta object literal for the 'Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CATEGORY__LOCALIZED_DESCRIPTION`
The meta object literal for the 'Localized Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CATEGORY__LOCALIZED_NAME`
The meta object literal for the 'Localized Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`CATEGORY__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`COMMAND`
The meta object literal for the '`Command`' class.
`static final org.eclipse.emf.ecore.EOperation`
`COMMAND___UPDATE_LOCALIZATION`
The meta object literal for the 'Update Localization' operation.
`static final org.eclipse.emf.ecore.EReference`
`COMMAND__CATEGORY`
The meta object literal for the 'Category' reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND__COMMAND_ICON_URI`
The meta object literal for the 'Command Icon URI' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND__COMMAND_NAME`
The meta object literal for the 'Command Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND__DESCRIPTION`
The meta object literal for the 'Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND__LOCALIZED_COMMAND_NAME`
The meta object literal for the 'Localized Command Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND__LOCALIZED_DESCRIPTION`
The meta object literal for the 'Localized Description' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`COMMAND__PARAMETERS`
The meta object literal for the 'Parameters' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`COMMAND_PARAMETER`
The meta object literal for the '`Command Parameter`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND_PARAMETER__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND_PARAMETER__OPTIONAL`
The meta object literal for the 'Optional' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`COMMAND_PARAMETER__TYPE_ID`
The meta object literal for the 'Type Id' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`HANDLER`
The meta object literal for the '`Handler`' class.
`static final org.eclipse.emf.ecore.EReference`
`HANDLER__COMMAND`
The meta object literal for the 'Command' reference feature.
`static final org.eclipse.emf.ecore.EClass`
`HANDLER_CONTAINER`
The meta object literal for the '`Handler Container`' class.
`static final org.eclipse.emf.ecore.EReference`
`HANDLER_CONTAINER__HANDLERS`
The meta object literal for the 'Handlers' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`KEY_BINDING`
The meta object literal for the '`Key Binding`' class.
`static final org.eclipse.emf.ecore.EReference`
`KEY_BINDING__COMMAND`
The meta object literal for the 'Command' reference feature.
`static final org.eclipse.emf.ecore.EReference`
`KEY_BINDING__PARAMETERS`
The meta object literal for the 'Parameters' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`KEY_SEQUENCE`
The meta object literal for the '`Key Sequence`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`KEY_SEQUENCE__KEY_SEQUENCE`
The meta object literal for the 'Key Sequence' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`PARAMETER`
The meta object literal for the '`Parameter`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`PARAMETER__NAME`
The meta object literal for the 'Name' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PARAMETER__VALUE`
The meta object literal for the 'Value' attribute feature.
`static final org.eclipse.emf.ecore.EDataType`
`PARAMETERIZED_COMMAND`
The meta object literal for the 'Parameterized Command' data type.

## Field Details

### BINDING_TABLE_CONTAINER

static final org.eclipse.emf.ecore.EClass BINDING_TABLE_CONTAINER
The meta object literal for the '`Binding Table Container`' class.

Since:
  1.0
See Also:
  - `MBindingTableContainer`
  - `CommandsPackageImpl.getBindingTableContainer()`

### BINDING_TABLE_CONTAINER__BINDING_TABLES

static final org.eclipse.emf.ecore.EReference BINDING_TABLE_CONTAINER__BINDING_TABLES
The meta object literal for the 'Binding Tables' containment reference list feature.

Since:
  1.0

### BINDING_TABLE_CONTAINER__ROOT_CONTEXT

static final org.eclipse.emf.ecore.EReference BINDING_TABLE_CONTAINER__ROOT_CONTEXT
The meta object literal for the 'Root Context' containment reference list feature.

Since:
  1.0

### BINDINGS

static final org.eclipse.emf.ecore.EClass BINDINGS
The meta object literal for the '`Bindings`' class.

Since:
  1.0
See Also:
  - `MBindings`
  - `CommandsPackageImpl.getBindings()`

### BINDINGS__BINDING_CONTEXTS

static final org.eclipse.emf.ecore.EReference BINDINGS__BINDING_CONTEXTS
The meta object literal for the 'Binding Contexts' reference list feature.

Since:
  1.0

### BINDING_CONTEXT

static final org.eclipse.emf.ecore.EClass BINDING_CONTEXT
The meta object literal for the '`Binding Context`' class.

Since:
  1.0
See Also:
  - `BindingContextImpl`
  - `CommandsPackageImpl.getBindingContext()`

### BINDING_CONTEXT__NAME

static final org.eclipse.emf.ecore.EAttribute BINDING_CONTEXT__NAME
The meta object literal for the 'Name' attribute feature.

Since:
  1.0

### BINDING_CONTEXT__DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute BINDING_CONTEXT__DESCRIPTION
The meta object literal for the 'Description' attribute feature.

Since:
  1.0

### BINDING_CONTEXT__CHILDREN

static final org.eclipse.emf.ecore.EReference BINDING_CONTEXT__CHILDREN
The meta object literal for the 'Children' containment reference list feature.

Since:
  1.0

### BINDING_TABLE

static final org.eclipse.emf.ecore.EClass BINDING_TABLE
The meta object literal for the '`Binding Table`' class.

Since:
  1.0
See Also:
  - `BindingTableImpl`
  - `CommandsPackageImpl.getBindingTable()`

### BINDING_TABLE__BINDINGS

static final org.eclipse.emf.ecore.EReference BINDING_TABLE__BINDINGS
The meta object literal for the 'Bindings' containment reference list feature.

Since:
  1.0

### BINDING_TABLE__BINDING_CONTEXT

static final org.eclipse.emf.ecore.EReference BINDING_TABLE__BINDING_CONTEXT
The meta object literal for the 'Binding Context' reference feature.

Since:
  1.0

### COMMAND

static final org.eclipse.emf.ecore.EClass COMMAND
The meta object literal for the '`Command`' class.

Since:
  1.0
See Also:
  - `CommandImpl`
  - `CommandsPackageImpl.getCommand()`

### COMMAND__COMMAND_NAME

static final org.eclipse.emf.ecore.EAttribute COMMAND__COMMAND_NAME
The meta object literal for the 'Command Name' attribute feature.

Since:
  1.0

### COMMAND__DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute COMMAND__DESCRIPTION
The meta object literal for the 'Description' attribute feature.

Since:
  1.0

### COMMAND__PARAMETERS

static final org.eclipse.emf.ecore.EReference COMMAND__PARAMETERS
The meta object literal for the 'Parameters' containment reference list feature.

Since:
  1.0

### COMMAND__CATEGORY

static final org.eclipse.emf.ecore.EReference COMMAND__CATEGORY
The meta object literal for the 'Category' reference feature.

Since:
  1.0

### COMMAND__COMMAND_ICON_URI

static final org.eclipse.emf.ecore.EAttribute COMMAND__COMMAND_ICON_URI
The meta object literal for the 'Command Icon URI' attribute feature.

Since:
  2.4

### COMMAND__LOCALIZED_COMMAND_NAME

static final org.eclipse.emf.ecore.EAttribute COMMAND__LOCALIZED_COMMAND_NAME
The meta object literal for the 'Localized Command Name' attribute feature.

Since:
  1.0

### COMMAND__LOCALIZED_DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute COMMAND__LOCALIZED_DESCRIPTION
The meta object literal for the 'Localized Description' attribute feature.

Since:
  1.0

### COMMAND___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation COMMAND___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### COMMAND_PARAMETER

static final org.eclipse.emf.ecore.EClass COMMAND_PARAMETER
The meta object literal for the '`Command Parameter`' class.

Since:
  1.0
See Also:
  - `CommandParameterImpl`
  - `CommandsPackageImpl.getCommandParameter()`

### COMMAND_PARAMETER__NAME

static final org.eclipse.emf.ecore.EAttribute COMMAND_PARAMETER__NAME
The meta object literal for the 'Name' attribute feature.

Since:
  1.0

### COMMAND_PARAMETER__TYPE_ID

static final org.eclipse.emf.ecore.EAttribute COMMAND_PARAMETER__TYPE_ID
The meta object literal for the 'Type Id' attribute feature.

Since:
  1.0

### COMMAND_PARAMETER__OPTIONAL

static final org.eclipse.emf.ecore.EAttribute COMMAND_PARAMETER__OPTIONAL
The meta object literal for the 'Optional' attribute feature.

Since:
  1.0

### HANDLER

static final org.eclipse.emf.ecore.EClass HANDLER
The meta object literal for the '`Handler`' class.

Since:
  1.0
See Also:
  - `HandlerImpl`
  - `CommandsPackageImpl.getHandler()`

### HANDLER__COMMAND

static final org.eclipse.emf.ecore.EReference HANDLER__COMMAND
The meta object literal for the 'Command' reference feature.

Since:
  1.0

### HANDLER_CONTAINER

static final org.eclipse.emf.ecore.EClass HANDLER_CONTAINER
The meta object literal for the '`Handler Container`' class.

Since:
  1.0
See Also:
  - `MHandlerContainer`
  - `CommandsPackageImpl.getHandlerContainer()`

### HANDLER_CONTAINER__HANDLERS

static final org.eclipse.emf.ecore.EReference HANDLER_CONTAINER__HANDLERS
The meta object literal for the 'Handlers' containment reference list feature.

Since:
  1.0

### KEY_BINDING

static final org.eclipse.emf.ecore.EClass KEY_BINDING
The meta object literal for the '`Key Binding`' class.

Since:
  1.0
See Also:
  - `KeyBindingImpl`
  - `CommandsPackageImpl.getKeyBinding()`

### KEY_BINDING__COMMAND

static final org.eclipse.emf.ecore.EReference KEY_BINDING__COMMAND
The meta object literal for the 'Command' reference feature.

Since:
  1.0

### KEY_BINDING__PARAMETERS

static final org.eclipse.emf.ecore.EReference KEY_BINDING__PARAMETERS
The meta object literal for the 'Parameters' containment reference list feature.

Since:
  1.0

### KEY_SEQUENCE

static final org.eclipse.emf.ecore.EClass KEY_SEQUENCE
The meta object literal for the '`Key Sequence`' class.

Since:
  1.0
See Also:
  - `MKeySequence`
  - `CommandsPackageImpl.getKeySequence()`

### KEY_SEQUENCE__KEY_SEQUENCE

static final org.eclipse.emf.ecore.EAttribute KEY_SEQUENCE__KEY_SEQUENCE
The meta object literal for the 'Key Sequence' attribute feature.

Since:
  1.0

### PARAMETER

static final org.eclipse.emf.ecore.EClass PARAMETER
The meta object literal for the '`Parameter`' class.

Since:
  1.0
See Also:
  - `ParameterImpl`
  - `CommandsPackageImpl.getParameter()`

### PARAMETER__NAME

static final org.eclipse.emf.ecore.EAttribute PARAMETER__NAME
The meta object literal for the 'Name' attribute feature.

Since:
  1.0

### PARAMETER__VALUE

static final org.eclipse.emf.ecore.EAttribute PARAMETER__VALUE
The meta object literal for the 'Value' attribute feature.

Since:
  1.0

### CATEGORY

static final org.eclipse.emf.ecore.EClass CATEGORY
The meta object literal for the '`Category`' class.

Since:
  1.0
See Also:
  - `CategoryImpl`
  - `CommandsPackageImpl.getCategory()`

### CATEGORY__NAME

static final org.eclipse.emf.ecore.EAttribute CATEGORY__NAME
The meta object literal for the 'Name' attribute feature.

Since:
  1.0

### CATEGORY__DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute CATEGORY__DESCRIPTION
The meta object literal for the 'Description' attribute feature.

Since:
  1.0

### CATEGORY__LOCALIZED_NAME

static final org.eclipse.emf.ecore.EAttribute CATEGORY__LOCALIZED_NAME
The meta object literal for the 'Localized Name' attribute feature.

Since:
  1.0

### CATEGORY__LOCALIZED_DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute CATEGORY__LOCALIZED_DESCRIPTION
The meta object literal for the 'Localized Description' attribute feature.

Since:
  1.0

### CATEGORY___UPDATE_LOCALIZATION

static final org.eclipse.emf.ecore.EOperation CATEGORY___UPDATE_LOCALIZATION
The meta object literal for the 'Update Localization' operation.

Since:
  1.1

### PARAMETERIZED_COMMAND

static final org.eclipse.emf.ecore.EDataType PARAMETERIZED_COMMAND
The meta object literal for the 'Parameterized Command' data type.

See Also:
  - `ParameterizedCommand`
  - `CommandsPackageImpl.getParameterizedCommand()`